# eric3.Wizards.WizardIFace

Module defining the wizards interface to be implemented by individual wizards.

### Classes

WizardIFace | Base class defining the wizards interface to be implemented by individual wizards.

### Functions

None

## WizardIFace

Base class defining the wizards interface to be implemented by individual wizards. Any child class has to implement these class methods:

handle
  the function to be executed
getAction
  returns the action associated

### Derived from

QObject

### Methods

WizardIFace | Constructor
getAction | Public method to get the action associated with this class wizard.
getTranslationFileBaseName | Public method to get the basename of the translation file.
handle | Worker method associated with the wizard action
initAction | Public method to create the action associated with this class wizard.

### WizardIFace (Constructor)

WizardIFace(parent = None)

Constructor

parent
  parent widget (QWidget)

### WizardIFace.getAction

getAction()

Public method to get the action associated with this class wizard. The following is an example.

            return self.action

Returns:
  the associated action

### WizardIFace.getTranslationFileBaseName

getTranslationFileBaseName()

Public method to get the basename of the translation file. This basename must be given relative to the eric3 Wizards module in the form of a module path (e.g. ColorDialog.ColorDialog.ColorDialogTranslation_). This basename will be combined with the current locale to form the filename of the translation file to be loaded.

Returns:
  basename of the translation file (string) or None

### WizardIFace.handle

handle()

Worker method associated with the wizard action

### WizardIFace.initAction

initAction()

Public method to create the action associated with this class wizard. The following is an example.

            self.action = E3Action(self.trUtf8("Sample Wizard"),
                 self.trUtf8("&Sample Wizard..."), 0, 0, self, 'wizards_sample')
            self.action.setStatusTip(self.trUtf8("Sample wizard"))
            self.action.setWhatsThis(self.trUtf8(
                """<b>Wizard</b>"""
                """<p>Sample wizard</p>"""
            ))
            self.action.connectIt(SIGNAL("activated()"), self.handle)
            return self.action

Returns:
  the associated action

Up